# HTTP(S) proxy dumbproxy image

Motivation — the [original dumbproxy](https://hub.docker.com/r/yarmak/dumbproxy)
image  [doesn't have](https://github.com/Snawoot/dumbproxy/blob/master/Dockerfile)
any configuration options.

## Build

```shell
docker build -t nxhs/dumbproxy:latest -t nxhs/dumbproxy:1.7.0 .
```

## Run

```shell
docker run -d \
    --restart always \
    --security-opt no-new-privileges \
    -p 8080:8080 \
    -e USERNAME=myuser \
    -e PASSWORD=secure_password \
    --name dumbproxy \
    nxhs/dumbproxy:latest
```

## Environment

| Variable      | Description                                                                       |
| ------------- | --------------------------------------------------------------------------------- |
| `ADDRESS`     | Argument for `-bind-address`. HTTP proxy listen address (default ":8080")         |
| `AUTH`        | Argument for [-auth option](https://github.com/Snawoot/dumbproxy#authentication)  |
| `USERNAME`    | Username for `-auth` option with `static` scheme                                  |
| `PASSWORD`    | Password for `-auth` option with `static` scheme                                  |
| `HIDDEN_DOMAIN`   | See [Authentication](https://github.com/Snawoot/dumbproxy#authentication)     |
| `OPTIONS`     | Any [options](https://github.com/Snawoot/dumbproxy#synopsis) what you want        |
